# -*- coding: utf-8 -*-
import alabaster
from sprockets import http

project = 'sprockets.http'
copyright = 'AWeber Communications, Inc.'
version = http.__version__
release = '.'.join(str(v) for v in http.version_info[0:2])

needs_sphinx = '1.0'
extensions = [
    'sphinx.ext.autodoc',
    'sphinx.ext.intersphinx',
    'sphinx.ext.viewcode',
    'sphinxcontrib.autohttp.tornado',
]

templates_path = []
source_suffix = '.rst'
source_encoding = 'utf-8-sig'
master_doc = 'index'
exclude_patterns = []
pygments_style = 'sphinx'
html_theme = 'alabaster'
html_theme_path = [alabaster.get_path()]
html_sidebars = {
    '**': ['about.html', 'navigation.html'],
}
html_theme_options = {
    'github_user': 'sprockets',
    'github_repo': 'sprockets.http',
    'description': 'Tornado application runner',
    'github_banner': True,
    'travis_button': True,
    'codecov_button': True,
}
html_static_path = ['_static']

intersphinx_mapping = {
    'python': ('http://docs.python.org/3/', None),
    'tornado': ('http://tornadoweb.org/en/latest/', None),
}
